#
# spec file for package procinfo (Version 18)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           procinfo
URL:            ftp://ftp.cistron.nl/pub/people/svm/
License:        GPL
Group:          System/Monitoring
Autoreqprov:    on
Version:        18
Release:        55.2
Summary:        Display System Status Gathered from /proc
Provides:       ps:/usr/bin/lsdev
Source:         ftp://ftp.cistron.nl/pub/people/svm/%{name}-%{version}.tar.bz2
Patch0:         procinfo-%{version}.dif
Patch1:         procinfo-ia64.diff
Patch2:         procinfo-hz
Patch3:         procinfo-TERM.dif
Patch4:         procinfo-26.diff
Patch5:         procinfo-gccver.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The "procinfo" command gathers some system data from the /proc
directory and prints it nicely	formatted  on  the  standard  output
device.



Authors:
--------
    Sander van Malssen <svm@kozmix.cistron.nl>

%debug_package
%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3
%patch4 -p1
%patch5 -p1

%build
CFLAGS="-D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 ${RPM_OPT_FLAGS} -pipe"
CC=gcc
export CFLAGS CC
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root,755)
%doc README CHANGES
%{_bindir}/procinfo
%{_bindir}/lsdev
%{_bindir}/socklist
%{_mandir}/man8/procinfo.8*
%{_mandir}/man8/lsdev.8*
%{_mandir}/man8/socklist.8*

%changelog -n procinfo
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Mar 07 2005 - mmj@suse.de
- Detect our gcc version correctly [#70954]
- Add disk stat hunks removed wrongly before
* Thu Mar 03 2005 - mmj@suse.de
- Get info about pages and swap from /proc/vmstat [#64620]
  (Partly from procinfo@meisel.cc)
* Thu Feb 24 2005 - garloff@suse.de
- The times in /proc/stat are in user HZ, not the kernel internal
  one (#56081 aka suse#41081).
* Tue Nov 09 2004 - draht@suse.de
- procinfo should not refuse to run if TERM is not set, such as
  when running non-interactively from ssh.
* Fri Sep 24 2004 - garloff@suse.de
- Read HZ from /proc/sys/kernel/HZ if existing, otherwise assume
  1000 for kernel 2.6, 100 for older ones. (#45707)
- Us it in calculation of load percentages. (#45707)
- Fix overflow in uptime output. (#41081)
* Mon Mar 01 2004 - stepan@suse.de
- procinfo-ia64.diff: fix time conversion problem on ia64
* Sat Feb 14 2004 - kukuk@suse.de
- Split from ps package
